package cz.psika.utils;

import javax.swing.UIManager;

/**
 * Localization of JFilechooser.
 * 
 * @author Tomas Psika
 */
public class FileChooserLocale
{
    public static void init(String language)
    {
        if ( language.equals("cs") )
        {
            UIManager.put("FileChooser.saveButtonText", "Uložit");
            UIManager.put("FileChooser.cancelButtonText", "Zrušit");
            UIManager.put("FileChooser.saveInLabelText", "Hledej v");
            UIManager.put("FileChooser.fileNameLabelText", "Jméno souboru");
            UIManager.put("FileChooser.filesOfTypeLabelText", "Typ souboru");
            UIManager.put("FileChooser.saveDialogTitleText", "Uložit");
            UIManager.put("FileChooser.acceptAllFileFilterText", "Všechny soubory");
            UIManager.put("FileChooser.upFolderToolTipText", "");
            UIManager.put("FileChooser.homeFolderToolTipText", "");
            UIManager.put("FileChooser.newFolderToolTipText", "");
            UIManager.put("FileChooser.listViewButtonToolTipText", "");
            UIManager.put("FileChooser.detailsViewButtonToolTipText", "");
            UIManager.put("FileChooser.saveButtonToolTipText", "Uloží vybraný soubor");
            UIManager.put("FileChooser.cancelButtonToolTipText", "Zrušit dialog");
            UIManager.put("OptionPane.yesButtonText", "Ano");
            UIManager.put("OptionPane.noButtonText", "Ne");
            UIManager.put("OptionPane.cancelButtonText", "Storno");
            UIManager.put("OptionPane.okButtonText", "OK");
            UIManager.put("FileChooser.lookInLabelText", "Hledat");
            UIManager.put("FileChooser.saveInLabelText", "Uložit do:");
            UIManager.put("FileChooser.fileNameLabelText", "Název souboru:");
            UIManager.put("FileChooser.filesOfTypeLabelText", "Soubory typu:");
            UIManager.put("FileChooser.upFolderToolTipText", "O úroveň výš");
            UIManager.put("FileChooser.upFolderAccessibleName", "Nahoru");
            UIManager.put("FileChooser.homeFolderToolTipText", "Domů");
            UIManager.put("FileChooser.homeFolderAccessibleName", "Domů");
            UIManager.put("FileChooser.newFolderToolTipText", "Vytvoření nového adresáře");
            UIManager.put("FileChooser.newFolderAccessibleName", "Nový adresář");
            UIManager.put("FileChooser.other.newFolder", "Nový adresář");
            UIManager.put("FileChooser.win32.newFolder", "Nový adresář");
            UIManager.put("FileChooser.win32.newFolder.subsequent", "Nový adresář ({0})");
            UIManager.put("FileChooser.listViewButtonToolTipText", "Seznam");
            UIManager.put("FileChooser.listViewButtonAccessibleName", "Seznam");
            UIManager.put("FileChooser.detailsViewButtonToolTipText", "Podrobnosti");
            UIManager.put("FileChooser.detailsViewButtonAccessibleName", "Podrobnosti");
            UIManager.put("FileChooser.fileDescriptionText", "Generický soubor");
            UIManager.put("FileChooser.directoryDescriptionText", "Adresář");
            UIManager.put("FileChooser.newFolderErrorText", "Chyba při vytvoření adresáře");
            UIManager.put("FileChooser.acceptAllFileFilterText", "Všechny soubory");
            UIManager.put("FileChooser.cancelButtonText", "Storno");
            UIManager.put("FileChooser.saveButtonText", "Uložit");
            UIManager.put("FileChooser.openButtonText", "Otevřít");
            UIManager.put("FileChooser.updateButtonText", "Obnova");
            UIManager.put("FileChooser.helpButtonText", "Nápověda");
            UIManager.put("FileChooser.cancelButtonToolTipText", "Ukončení výběrového dialogu");
            UIManager.put("FileChooser.saveButtonToolTipText", "Uložení vybraných souborů");
            UIManager.put("FileChooser.openButtonToolTipText", "Otevření vybraného souboru");
            UIManager.put("FileChooser.updateButtonToolTipText", "Obnova výpisu");
            UIManager.put("FileChooser.helpButtonToolTipText", "Nápověda"); 
            UIManager.put("FileChooser.fileAttrHeaderText", "Atributy");
            UIManager.put("FileChooser.fileDateHeaderText", "Změněno");
            UIManager.put("FileChooser.fileNameHeaderText", "Název");
            UIManager.put("FileChooser.fileSizeHeaderText", "Velikost");
            UIManager.put("FileChooser.fileTypeHeaderText", "Typ");
            UIManager.put("FileChooser.saveDialogTitleText", "Uložit");
            UIManager.put("FileChooser.openDialogTitleText", "Otevřít");
            UIManager.put("FileChooser.directoryOpenButtonText", "Otevřít");
            UIManager.put("FileChooser.refreshActionLabelText", "Obnovit"); 
            UIManager.put("FileChooser.viewMenuLabelText", "Zobrazit"); 
            UIManager.put("FileChooser.newFolderActionLabelText", "Nová složka"); 
            UIManager.put("FileChooser.listViewActionLabelText", "Seznam"); 
            UIManager.put("FileChooser.detailsViewActionLabelText", "Podrobnosti");
        }
    }
}
