package cz.psika.utils;

import javax.swing.event.MenuEvent;
import javax.swing.event.MenuListener;

/**
 * Abstract class implementing MenuListener interface.
 * 
 * @author Tomas Psika
 */
public abstract class MenuAdapter implements MenuListener
{
    @Override public void menuSelected(MenuEvent e) {}
    @Override public void menuDeselected(MenuEvent e) {}
    @Override public void menuCanceled(MenuEvent e) {}
}
