package cz.psika.utils;

import javax.swing.event.PopupMenuEvent;
import javax.swing.event.PopupMenuListener;

/**
 * Abstract class implementing MenuListener interface.
 * 
 * @author Tomas Psika
 */
public abstract class PopupMenuAdapter implements PopupMenuListener
{
    @Override
    public void popupMenuWillBecomeVisible(PopupMenuEvent e) {}
    
    @Override
    public void popupMenuWillBecomeInvisible(PopupMenuEvent e) {}
    
    @Override
    public void popupMenuCanceled(PopupMenuEvent e) {}
}
