package cz.psika.utils;

import java.awt.Window;

/**
 * Centers any window with respect to main application window.
 * 
 * @author Tomas Psika
 */
public final class WindowCenterer
{
    public static void exec(Window childWindow)
    {
        final Window win = cz.psika.numerist.ApplicationWindow.getInstance();

        childWindow.setLocation( win.getX() + win.getWidth() / 2 - childWindow.getWidth() / 2,
                                 win.getY() + win.getHeight() / 2 - childWindow.getHeight() / 2 );
    }
}
